      subroutine pol3(x,y,z,v3)
      implicit real*8(a-h,o-z)
c
      common/b21/de1,de2,de3,re1,re2,re3,b1,b2,b3
      common/b23/ coef(65),nt,iexp(65),jexp(65),kexp(65)
      dimension tx(6),ty(6),tz(6)
c
      tx(1)=1.d0
      ty(1)=1.d0
      tz(1)=1.d0
       ex=exp(-b1*(x-re1))
       ey=exp(-b2*(y-re2))
       ez=exp(-b3*(z-re3))
      do 10 i=2,6
      ii=i-1
       tx(i)=tx(ii)*ex
       ty(i)=ty(ii)*ey
       tz(i)=tz(ii)*ez
   10 continue
      w=0.d0
      do 20 i=1,nt
      ix=iexp(i)
      jx=jexp(i)
      kx=kexp(i)
      w=w+coef(i)*tx(ix)*ty(jx)*tz(kx)
   20 continue
      v3=w
      return
      end
